import getPlacesRepo from '../data/repository/GetPlacesRepo';
import IGetPlacesRepo from '../data/repository/IGetPlacesRepo';
import GettingPlacesUsecase from '../usecase/getPlaceUsecase';
import { IgetPlacesInfra, getPlacesReturnType } from './protocols';

const getPlaces = ({ httpHandler }: IgetPlacesInfra): getPlacesReturnType => {
  // get httpHandler
  const repository: IGetPlacesRepo = () => getPlacesRepo(httpHandler);
  // connet usecase and repository
  const usecase = new GettingPlacesUsecase(repository);
  // return method to use
  return () => usecase.execute();
};

export default getPlaces;
