import PlacesModel from '../../common/model/placesModel';
import IGetPlacesRepo from '../data/repository/IGetPlacesRepo';

/**
 * this usecase is responsible for calling the repo and returning the places data from the repository
 */
class GettingPlacesUsecase {
  private repository: IGetPlacesRepo;

  constructor(repository: IGetPlacesRepo) {
    this.repository = repository;
  }

  async execute(): Promise<PlacesModel> {
    // call usecase and return the repo
    const placesData = await this.repository();
    return placesData;
  }
}

export default GettingPlacesUsecase;
