import UsersModel from '../../../common/data/model/usersModel';
import getUsersResponseObject from '../response-object/usersRO';
import { GetUsersResponse } from '../response-object/protocols';

const getUsersRepo = async (httpHandler: () => Promise<GetUsersResponse>) => {
  // call httpHandler
  const usersResponse = await httpHandler();
  // user response object to turn it to the data that we want
  const usersData = getUsersResponseObject(usersResponse);
  // make model
  const usersModel = new UsersModel(usersData);
  // return the model
  return usersModel;
};

export default getUsersRepo;
