import React from 'react';
import useTableRowVM from '../viewmodel/tableRowVM';
import TableRowView from '../view/TableRow';
import { ITableRowInfra } from './protocols';

export default function TableRow(props: ITableRowInfra) {
  const { rowData, selectedRowId, setSelectedRowId } = props;
  const { rowId } = rowData;

  const { isRowSelected } = useTableRowVM({ selectedRowId, rowId });

  return <TableRowView isSelected={isRowSelected} rowData={rowData} setSelectedRowId={setSelectedRowId} />;
}
