import React from 'react';
import CreatePlaceView from '../view/CreatePlaceView';
import useCreatePlaceVm from '../viewmodel/createPlaceVM';
import createPlaceModel from '../model/createPlaceModel';

export default function CreatePlace() {
  const { inputOptions } = createPlaceModel();
  const { formStateData, inputStateHandlers, selectBoxOptions } = useCreatePlaceVm({
    getInputOptions: inputOptions,
  });
  return (
    <CreatePlaceView
      inputOptions={{
        parentId: selectBoxOptions.parentIdsOptions,
        placeType: selectBoxOptions.placeTypesOptions,
        isParentIdLoading: selectBoxOptions.isParentIdLoading,
      }}
      formStateData={formStateData}
      inputStateHandlers={inputStateHandlers}
    />
  );
}
