export enum placeTypes {
  continent = 'continent',
  country = 'country',
  state = 'state',
  region = 'region',
  city = 'city',
  district = 'district',
  street = 'street',
  building = 'building',
  section = 'section',
  floor = 'floor',
  flat = 'flat',
}

export type PlaceFormState = {
  placeName: string;
  placeTypes: `${placeTypes}`;
  parentId: { value: string; label: string };
};

export interface ICreatePlaceProps {
  formStateData: {
    formState: PlaceFormState;
    setFormState: React.Dispatch<React.SetStateAction<PlaceFormState>>;
  };
  inputStateHandlers: {
    name: (_name: string, newValue: string) => void;
    placeType: (newValue: `${placeTypes}`) => void;
    parentId: (newValue: string, label: string) => void;
  };
  inputOptions: {
    placeType: {
      value: placeTypes;
      label: string;
    }[];
    parentId: {
      value: string;
      label: string;
    }[];
    isParentIdLoading: boolean;
  };
}
