import { useState } from 'react';
import UsersModel from '~/business-logic/core/users/common/data/model/usersModel';
import { userListReturnType } from './protocols';

interface IUsersListVM {
  useGetusersList: () => {
    data: UsersModel | undefined;
    isLoading: boolean;
    error?: string | undefined;
  };
}
const useUsersListVM = (dependencies: IUsersListVM): userListReturnType => {
  const { useGetusersList } = dependencies;
  const [selectedRowId, setSelectedRowId] = useState<string>('');
  const usersData = useGetusersList();

  return {
    selectedRowId,
    setSelectedRowId,
    usersData,
  };
};

export default useUsersListVM;
