import { useUser } from '~/driven/utils/helpers/contexts/userContext';
import './style/App.css';
import { useEffect } from 'react';
import { appConfig } from '~/driven/utils/configs/appConfig';
import AdminUserModel from '~/business-logic/generic/admin-user/common/data/model/adminUserModel';
import StorageService from '~/driven/boundaries/storage-boundary';
import Router from './Router/Router';

function App() {
  const data = useUser();
  const { setUser } = data;

  useEffect(() => {
    const storage = StorageService.localStorage<AdminUserModel>();
    const currentUser = storage.getData(appConfig.adminUserStorageKey);
    if (currentUser && currentUser.adminUserData.accessToken && setUser) setUser(currentUser);
  }, []);
  return <Router />;
}

export default App;
